--------------------------------------------------------------------------------------------------------------
-- TITLE           :   Data definition types for the functions/procedures used by the "Template WS" project
-- LAST MODIFIED   :   25/04/2012
-- AUTHOR          :   S. ADRIANI
-- VERSION         :   1.0
-- DESCRIPTION     :   These definitions MUST BE included in the "Types" category of the Oracle schema.
--                     Even if the functions/procedures are bundled togheter in a package, these
--                     definitions MUST BE declared outside the package (Oracle paradigma).
-- REFERENCE       :   Adriani's Oracle Project (AOP): a tutorial for building a JSP-Oracle benchmark
--                 :   (Personal remark: consider this SQL code as branch of the AOP's trunk)
-- TO DO           :   Nothing
--------------------------------------------------------------------------------------------------------------

CREATE OR REPLACE TYPE all_times_list AS OBJECT (
  LABEL                     VARCHAR2(8), 
  STARTDATE                 DATE, 
  ENDDATE                   DATE
) ;

CREATE OR REPLACE TYPE t_all_times_list AS TABLE OF all_times_list ;