/**
* Title: 		WrapperIn
* Description:	Parent class for all input wrappers
* Copyright:    Copyright (c) 2009-2012
* Company:      Morpheus Quality Technologies
* @author 		Stefano Adriani
* @version 		1.1
*/

package adriani.jws.template.wrappers ;

import java.math.* ;

/**
* WrapperIn - general class wrapping the root <code>ADBBean</code> element containing the input SOAP request.
* In most cases this class just adds some input-oriented static fields, without adding any new method.<br/>
* The presence of this class in the architecture allows to add some custom methods to all input wrappers
* (in necessary) without affecting the general parent <code>Wrapper</code> class.
*/
public abstract class WrapperIn extends Wrapper {

 	/** The wrapped <code>ADBBean</code> element.															*/
	protected 			Object 				element 			= null ;

  	/** Static <strong>int</strong> value depicting a undefined number field.								*/
	public static final BigInteger			NOT_AVAILABLE		= BigInteger.valueOf(-1) ;

  	/** Static <strong>string</strong> value depicting a undefined number field.							*/
	public static final StringBuffer 		NO_NUMBER 			= new StringBuffer("UNSET") ;

	/** Static final <code>String</code> values stored here to improve performances.						*/
	public static final String				DOT					= "." ;
	/** Static final <code>String</code> values stored here to improve performances.						*/
	public static final String				EMPTY				= "" ;
	/** Static final <code>String</code> values stored here to improve performances.						*/
	public static final String				BLANK				= " " ;

	/** Static regex pattern used to check if the customer number starts with "23".							*/
	// Place holder
	//public static final Pattern 		PREFIX_23 			= Pattern.compile("^23\\d+", Pattern.CASE_INSENSITIVE) ;

  	/** Beginning of each logging message																	*/
	protected static 	String 			leadingName 			= "WrapperIn - " ;

} // End of class